PASCAL_PRE_PROC(1)

NAME
pascal_pre_proc - Pascal preprocessor based on the PasDoc parser

SYNOPSIS
pascal_pre_proc [OPTIONS] FILE

DESCRIPTION
pascal_pre_proc is a Pascal preprocessor based on the parser used by the PasDoc documentation generator. When run, it will parse FILE, interpreting all compiler directives - like {$DEFINE}, {$IDEF}, {$INCLUDE}, as well as FPC macros - and print the result on standard output.

OPTIONS

-?, --help
    Display a help message and exit.

-v, --verbosity LEVEL
    Set logging verbosity. LEVEL must be an integer in the 0-6 range. The default is 2.

-D, --define SYMBOL
    Assume SYMBOL is defined when parsing conditional blocks.

-d, --conditionals CONDFILE
    Similar to -D. Reads the list of symbols from CONDFILE.

-I, --include PATH
    Search in PATH when evaluating {$INCLUDE} directives.

--no-macro
    Disable support for FPC macros.

SEE ALSO
file_to_pascal_data(1), file_to_pascal_string(1), pasdoc(1)